
Smart Proxy - Bug #17862

Silence Sinatra/rack startup warning "TCPServer Error: Address already in use - bind(2)"

12/27/2016 02:37 PM - Anonymous

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Core   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This causes confusion about smart-proxy status.

Related issues:

Related to Smart Proxy - Support #17707: after Foreman-Installer: puppet TCPS... Resolved 12/16/2016

History

#1 - 01/03/2017 03:19 AM - Dominic Cleal

- Related to Support #17707: after Foreman-Installer: puppet TCPServer Error: Address already in use - bind(2) added

#2 - 01/09/2017 10:43 AM - Anonymous

Such an error message will not appear on rubies version 2.1 and higher. Socket.tcp_server_sockets method used by webrick to start listening for

connections [1] now silently discards errors as long as one address out of multiple is available for listening on [2].

In previous versions of ruby webrick was handling these errors and was logging them as warnings [3]. As 2.0.0 is the last version of ruby that has this

issue, I'd opt for leaving things as is.

[1] https://github.com/ruby/ruby/blob/ruby_2_1/lib/webrick/utils.rb#L75

[2] https://github.com/ruby/ruby/blob/ruby_2_1/ext/socket/lib/socket.rb#L452

[3] https://github.com/ruby/ruby/blob/ruby_2_0_0/lib/webrick/utils.rb#L90

#3 - 01/09/2017 10:44 AM - Anonymous

- Target version set to 1.11.1

#4 - 01/10/2017 07:28 AM - Anonymous

- Status changed from New to Rejected

Additional clarification
